<template>
    <div id="campos">
        <div class="form-group row">
                <div class="col-md-6">
                <b>Editar:</b>
                <textarea class="form-control input-md" v-model="data" rows="20" cols="50"></textarea>
            </div>

            <div class="col-md-6">
                <b>Vista pretty</b>
                <textarea class="form-control input-md" rows="20" cols="50" >{{ data | pretty }}</textarea>
            </div>
        </div>

        <div class="form-group row">
            <button class="ml-2 btn btn-info btn-lg b-a-0 waves-effect waves-light" v-on:click="changeContent">Cambiar</button>
        </div>
        
    </div>
    
</template>

<script>

export default {

    name: 'json',

    props:[
        'data','id'
    ],

    data () {
        return {}
    },
    methods: {
        changeContent: function () {
        	axios.post(`/changeContent/${this.id}`,{'content':this.data})
			.then((response) => {
                console.log(response.data)
                toastr.success(`Cambio realizado. Teclea f5`)
			})
            .catch(err => {});
        },
    },
    filters: {
        pretty: function(value) {
        return JSON.stringify(JSON.parse(value), null, 2);
        }
    }
}
</script>
